summaryrefslogtreecommitdiff
path: root/dev-python/pluginbase
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-27 08:03:16 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-27 08:03:16 +0000
commit71bb9f6a7996d2ad1869b6b6e404c242e5f4d98a (patch)
tree86a46cfd3a28e0f1907db7565044d7daf59c281e /dev-python/pluginbase
parent531bf63307dcef64d742189d5f1ace5050169a76 (diff)
downloadbaldeagleos-repo-71bb9f6a7996d2ad1869b6b6e404c242e5f4d98a.tar.gz
baldeagleos-repo-71bb9f6a7996d2ad1869b6b6e404c242e5f4d98a.tar.xz
baldeagleos-repo-71bb9f6a7996d2ad1869b6b6e404c242e5f4d98a.zip
Adding metadata
Diffstat (limited to 'dev-python/pluginbase')
-rw-r--r--dev-python/pluginbase/pluginbase-1.0.1-r1.ebuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/dev-python/pluginbase/pluginbase-1.0.1-r1.ebuild b/dev-python/pluginbase/pluginbase-1.0.1-r1.ebuild
new file mode 100644
index 000000000000..50ea24e1f6fc
--- /dev/null
+++ b/dev-python/pluginbase/pluginbase-1.0.1-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Support library for building plugins sytems in Python"
+HOMEPAGE="https://github.com/mitsuhiko/pluginbase"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+src_test() {
+ cd tests || die
+ distutils-r1_src_test
+}